import request from '@/config/axios'

// 课程-类型 VO
export interface CourseTypeVO {
  id: number // 课程类型id
  ctType: string, // 课程类型名称
  ctTypeNode: undefined, // 课程类型节点
  ctTypeSort: undefined, // 课程类型排序
  ctParentId: number, // 课程类型父级id
  ctTypeDescribe: string, // 课程类型描述
  tenantId: Number // 租户id
}

// 课程-类型 API
export const CourseTypeApi = {
  // 查询课程-类型列表
  getCourseTypeList: async (params) => {
    return await request.get({ url: `/bjdx/course-type/list`, params })
  },
  // 查询课程-类型列表
  getCourseTypeSimpleList: async (params) => {
    return await request.get({ url: `/bjdx/course-type/simple-list`, params })
  },

  // 查询课程-类型详情
  getCourseType: async (id: number) => {
    return await request.get({ url: `/bjdx/course-type/get?id=` + id })
  },

  // 新增课程-类型
  createCourseType: async (data: CourseTypeVO) => {
    return await request.post({ url: `/bjdx/course-type/create`, data })
  },

  // 修改课程-类型
  updateCourseType: async (data: CourseTypeVO) => {
    return await request.put({ url: `/bjdx/course-type/update`, data })
  },

  // 删除课程-类型
  deleteCourseType: async (id: number) => {
    return await request.delete({ url: `/bjdx/course-type/delete?id=` + id })
  },

  // 导出课程-类型 Excel
  exportCourseType: async (params) => {
    return await request.download({ url: `/bjdx/course-type/export-excel`, params })
  },


  // 获取年级
  getTypeGrade: async () => {
    return request.get({ url: '/bjdxWeb/course/getTypeGrade'})
  },
  // 根据年级id获取课程大纲
  getTypeByGradeId: async (id: number) => {
    return request.get({ url: '/bjdxWeb/course/getTypeByGradeId?id=' + id })
  }
}
